#
# lay3.rb
#   $Id: lay3.rb,v 1.2 2000/11/18 19:03:37 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws

DCL::sglset('LFULL', true)
DCL::slmgn(0.0, 0.0, 0.08, 0.08)
DCL::slrat(1.0, 0.6)
DCL::slsttl('FIGURE TITLE', 'T', 0.0, 0.0, 0.03, 1)
DCL::slsttl('PROGRAM.NAME', 'B', -1.0, -1.0, 0.02, 2)
DCL::slsttl('page:#PAGE', 'B', 1.0, -1.0, 0.02, 3)

DCL::sgfrm
DCL::slpvpr(1)
DCL::sgtxv(0.5, 0.5, 'FIGURE')

DCL::sgcls

